Skip to main content
GET
/
api
/
v1
/
stations
/
around
Get Stations Around
curl --request GET \
  --url https://connect.cariqa.com/api/v1/stations/around/ \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "id": "<string>",
      "name": "<string>",
      "address": "<string>",
      "coordinates": {
        "latitude": "<string>",
        "longitude": "<string>"
      },
      "opening_times": {
        "twentyfourseven": true,
        "regular_hours": [
          {
            "period_begin": "<string>",
            "period_end": "<string>",
            "weekday": "MONDAY"
          }
        ]
      },
      "operator": {
        "name": "<string>",
        "contact": {
          "phone": "<string>"
        }
      },
      "evses": [
        {
          "evse_id": "<string>",
          "status": "AVAILABLE"
        }
      ],
      "last_updated": "<string>",
      "price_groups": [
        {
          "type": "<string>",
          "power": 123,
          "evse_ids": [
            "<string>"
          ],
          "prices": {
            "time_price": {},
            "kwh_price": {},
            "blocking_fee": {},
            "session_fee": {},
            "starting_fee": {}
          },
          "local_datetime": "2023-11-07T05:31:56Z",
          "currency": "<string>",
          "pre_authorization_amount": "<string>",
          "is_fallback": false
        }
      ],
      "speed": "slow",
      "status": "free",
      "amenities": [
        "HOTEL"
      ],
      "is_partner": false,
      "logo_url": "<string>"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cariqa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

connector_types
enum<string>[]

List of connector types to filter stations

  • CHADEMO - CHADEMO
  • DOMESTIC_A - DOMESTIC_A
  • DOMESTIC_B - DOMESTIC_B
  • DOMESTIC_C - DOMESTIC_C
  • DOMESTIC_D - DOMESTIC_D
  • DOMESTIC_E - DOMESTIC_E
  • DOMESTIC_F - DOMESTIC_F
  • DOMESTIC_G - DOMESTIC_G
  • DOMESTIC_H - DOMESTIC_H
  • DOMESTIC_I - DOMESTIC_I
  • DOMESTIC_J - DOMESTIC_J
  • DOMESTIC_K - DOMESTIC_K
  • DOMESTIC_L - DOMESTIC_L
  • IEC_60309_2_single_16 - IEC_60309_2_single_16
  • IEC_60309_2_three_16 - IEC_60309_2_three_16
  • IEC_60309_2_three_32 - IEC_60309_2_three_32
  • IEC_60309_2_three_64 - IEC_60309_2_three_64
  • IEC_62196_T1 - IEC_62196_T1
  • IEC_62196_T1_COMBO - IEC_62196_T1_COMBO
  • IEC_62196_T2 - IEC_62196_T2
  • IEC_62196_T2_COMBO - IEC_62196_T2_COMBO
  • IEC_62196_T3A - IEC_62196_T3A
  • IEC_62196_T3C - IEC_62196_T3C
  • TESLA_R - TESLA_R
  • TESLA_S - TESLA_S
Available options:
CHADEMO,
DOMESTIC_A,
DOMESTIC_B,
DOMESTIC_C,
DOMESTIC_D,
DOMESTIC_E,
DOMESTIC_F,
DOMESTIC_G,
DOMESTIC_H,
DOMESTIC_I,
DOMESTIC_J,
DOMESTIC_K,
DOMESTIC_L,
IEC_60309_2_single_16,
IEC_60309_2_three_16,
IEC_60309_2_three_32,
IEC_60309_2_three_64,
IEC_62196_T1,
IEC_62196_T1_COMBO,
IEC_62196_T2,
IEC_62196_T2_COMBO,
IEC_62196_T3A,
IEC_62196_T3C,
TESLA_R,
TESLA_S
distance
integer
default:100

Radius to search stations (in meters).

latitude
number<double>
required

Latitude of the center of the search area.

longitude
number<double>
required

Longitude of the center of the search area.

only_available
boolean
default:false

Whether to show only available stations

only_partners
boolean
default:false

Whether to show only partner stations

operators
string[]

List of partner operator names to filter stations

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"